#!/usr/bin/python
import cv
import sys

if __name__ == "__main__":
    cv.NamedWindow("win")
    filename = sys.argv[1]
    im = cv.LoadImage(filename, cv.CV_LOAD_IMAGE_GRAYSCALE)
    im3 = cv.LoadImage(filename, cv.CV_LOAD_IMAGE_COLOR)
    chessboard_dim = ( 7, 7 )
    
    found_all, corners = cv.FindChessboardCorners( im, chessboard_dim )
    print found_all, corners

    #cv.DrawChessboardCorners( im3, chessboard_dim, corners, found_all )
    
    cv.ShowImage("win", im3);
    cv.WaitKey()
